Posted at

gulp, mocha, power-assertを使ってnodejsのモジュールを作る

More than 5 years have passed since last update.


どんな感じ


yo

npm install -g generator-node-gulp

yo node-gulp
david update # ひとまず最新に


mocha, assert

組み合わさってるのがmochashouldなので、shouldを消してassertに変える。

npm uninstall should --save-dev

gulp-mochaにはrequireオプション無いが、対策は後述。


power-assert

npm install power-assert intelli-espower-loader --save-dev

assertpower-assertに変える。

gulp-mochaはrequireオプションのpull requestが来るたびに、「それはmochaの領分だろ」って撃ち落としてる。opinionatedだ。Constさんの別のpull requestを見てgulpfile.jsrequire('intelli-espower-loader');って書けばよさそうとわかった。

package.jsonに "directories": { "test": "test/" },付け足して終わり。


参照


具体例

prefecture-jp


その他

generator-node-gulp

gulp-mocha

david

power-assert

intelli-espower-loader